Skip to main content
GET
/
v1
/
marketing_campaigns
List marketing campaigns
curl --request GET \
  --url https://api.scribe-mail.com/v1/marketing_campaigns \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "send_email": true,
      "content": {},
      "smart_fields_conditions": [
        [
          {
            "smart_field_id": "<string>",
            "values": [
              "<string>"
            ]
          }
        ]
      ],
      "signature_template_ids": [
        "<string>"
      ],
      "start_time": "2023-11-07T05:31:56Z",
      "end_time": "2023-11-07T05:31:56Z",
      "time_zone": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "next_cursor": "<string>",
    "has_more": true,
    "limit": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

cursor
string
limit
integer

Response

Success

data
object[]
required
pagination
object
required